Archivo de la categoría: Informática

Mi impresora Kyocera P5021cdw no imprime colores en Linux

Resulta que te has comprado una impresora Láser Color Kyocera P5021cdw e imprime de maravilla en Windows, pero no consigues que imprima en color en Linux, solo en blanco y negro.

Has instalado los drivers oficiales de Linux que proporciona Kyocera, has probado con AUR (paquete kyocera-ecosys-m552x-p502x). Has toqueteado todas las configuraciones, pero da igual, sigue imprimiendo en blanco y negro por mucho que insistas. Mientras tanto Windows no tiene ningún problema con el color.

Bien, lo cierto es que no hay ningún problema con los drivers de Linux de Kyocera. Funcionan perfectamente. El problema lo tienes con una configuración oculta de tu Linux.

Para acceder a ella, instala el paquete system-config-printer o asegúrate de que está instalado. Ábrelo, desbloquéalo para que te deje acceder al modo root. Ahora abre la impresora y vete a la pestaña «Opciones de Trabajo». Ahí abajo, casi al final, hay una opción que dice «print-color-mode», y resulta que por defecto está seleccionado «monochrome». Pues cámbialo a color y guarda.

Hala, ya está. De nada.

Si observas que cada vez que reseteas tu ordenador vuelve a imprimir en monochrome, puedes hacer el cambio permanente editando el fichero /etc/cups/printers.conf que es donde se guarda la configuración básica de las impresoras en cups. En ese fichero tiene que haber una línea que diga:

Option print-color-mode color

Por supuesto, en la sección de la impresora Kyocera, si es que tienes varias.

Manjaro Linux en un laptop HP Spectre x360

Recientemente he instalado la distribución Manjaro Linux (21.1.3 Pahvo) en un ordenador portátil Hewlett Packard Spectre x360. Se trata de uno de los primeros modelos de esta serie, concretamente el modelo 13-4100ns, equipado con 4 Gb de RAM y un procesador Intel i5.

Este modelo en concreto venía con el UEFI desactivado por defecto, en modo BIOS. Obviamente, hice un clonado completo del disco duro con CloneDisk para poder dar marcha atrás si algo salía terriblemente mal, algo siempre muy recomendable, obligatorio de hecho salvo que seas un suicida. Después, para poder instalar, desactivé el modo de «arranque seguro» en la BIOS. Y ya estamos listos para empezar.

Bien, no voy a enrollarme con la instalación de Manjaro, porque eso está de sobras disponible en la Web, y de todas formas es bastante automático. En concreto, solo comentaré que instalé la versión Gnome, que es siempre mi preferida. E instalé con borrado completo del disco duro (Manjaro como único sistema operativo), con sistema de archivos BTRFS, encriptación completa (full encryption) y Swap encriptada con hibernación.

Con estos datos, lo principal que quería comentar es que casi todo el hardware de la máquina es soportado inmediatamente por Manjaro directamente y sin hacer nada, out-of-the-box. Esto incluye la webcam, la pantalla touch, el trackpad, el sonido (si, el sonido también), e incluso cosas accesorias externas, como un lápiz dongle 4G de marca Huawei, y un mando para usar con diapositivas marca Targus. El soporte del Hardware de Manjaro solo puedo definirlo como excelente.

Con todo, hay algunas excepciones, todas ella sutilezas. Por ejemplo, no se detecta el modo tablet out of the box ni funcionan los giroscopios. Es decir, la pantalla no girará al cambiar de posición el ordenador, y no detectará el giro de la pantalla para pasarlo a modo tablet. Puede arreglarse y que funcione todo para usarse como ordenador y como tablet de forma automática, pero necesitas instalar algunos paquetes adicionales que te cuento más abajo. Tampoco funcionarán algunas teclas especiales, como las de ajuste de brillo de pantalla. Si quieres cambiar el brillo de la pantalla, lo tienes muy fácil en el menú de Gnome.

Si se quiere afinar aún más el software:

  • Es altamente recomendable la instalación del paquete auto-cpufreq. No lo instala por defecto, pero está en los repositorios oficiales y es muy recomendable si quieres prolongar la duración de tu batería. Hay que instalarlo, y luego activarlo con «sudo systemctl enable auto-cpufreq.service».
  • Timeshift se instala por defecto y queda activado en modo Btrfs, con lo que en cuanto empieces a hacer las primeras actualizaciones, se empezarán a crear los primeros snapshots. Grande, si señor. Sin embargo, grub arrancará en modo quiet y no mostrará ningún menú que permita elegir snapshot en caso de problemas. Hay que activar la aparición de menú, pero es muy fácil cambiando la opción GRUB_TIMEOUT_STYLE de Grub, te lo cuento más abajo.
  • Para la contraseña de la encriptación puedes usar cualquier carácter, no solo números y letras. Pero recuerda que cuando arranque y te pida la contraseña, espera un teclado norteamericano US, así que tendrás que memorizar dónde están las teclas de los caracteres especiales (guiones, interrogantes, asteriscos…) en un teclado US. Si quieres evitarte estos problemas, tienes que meter una contraseña con letras y números solo. Eso si, no se te ocurra poner una eñe ni una vocal acentuada, porque a ver cómo las metes luego con la distribución US del teclado.
  • Cuando cierres la tapa del portátil entrará en suspensión. Correcto. Pero cuando abras por completo la tapa para usarlo como tablet, no será detectado out-of-the-box. La mejor opción que tienes es instalar paquetes AUR y usar opciones experimentales. Si instalas los paquetes «iio-sensor-proxy.git», «tablet-mode» y «detect-tablet-mode», dispondrás de un modo tablet bastante decente y automático: al girar la pantalla para ponerlo en tablet, será detectado, se desactivará el teclado y el trackpad, y cuando escribas aparecerá el teclado en pantalla, todo automático. Si además instalas la extensión de gnome «Screen autorotate» y luego reinicias el ordenador (imprescindible), la pantalla también girará correctamente cuando lo pongas de lado o al revés, así que tendrás un modo tablet bastante correcto. Ojo, el paquete que tienes que instalar es «iio-sensor-proxy.git» y no la versión oficial de los repositorios «iio-sensor-proxy». Solo girará la pantalla con la versión git del AUR.
  • Suspend funciona sin problemas, tanto por tiempo de inactividad como bajando la tapa. También la hibernación, pero solo si la Swap no está encriptada. Cuando instalas en modo Swap encriptada con hibernación, resulta que la hibernación no funciona. No sé todavía por qué, pero sé que puede funcionar porque ha funcionado automáticamente cuando la Swap estaba sin encriptar, así que no es un fallo del hardware sino de la configuración. De momento te diré que he hecho funcionar la hibernación sin problemas, pero usando un archivo de swap dentro del disco encriptado, no la partición. Pero eso te lo contaré en otro post. :-)

Vale, activar el menú del grub es muy fácil. Manjaro no lo cree necesario porque por el tipo de instalación que hice, sabe que es el único sistema operativo de la máquina, pero la verdad es que sí lo necesitas si quieres la posibilidad de cambiar de snapshot si ha habido problemas en la última actualización de software. Para activar el menú del grub solo tienes que editar /etc/default/grub. Tienes que cambiar la línea que pone GRUB_TIMEOUT_STYLE para que ponga GRUB_TIMEOUT_STYLE=menu. Y luego hay que aplicar los cambios con «update-grub». Eso es todo. Después de reiniciar verás como aparece el menú grub con todos los snapshots.

Y si quieres ver todos los mensajes del arranque, también puedes hacerlo. Solo tienes que quitar las opciones «quiet» y «splash» del grub.

He instalado Manjaro encriptado y no puedo entrar

Quien dice Manjaro, dice cualquier sistema Arch, como por ejemplo Garuda. Es muy posible que cualquier sistema linux, no lo he probado. El caso es que si instalas Manjaro con full encription, es posible que luego no puedas arrancar el sistema diciéndote «error: access denied». ¿Por qué?.

El mensaje que te da dice algo así:

Attempting to decrypt master key...
Enter passphrase for hd0, msdos1 (aquí vendría una UUID):
error: access denied.
error: no such cryptodisk found.
error: disk 'cryptouid:aquí viene la UUID' not found.
Entering rescue mode...
grub rescue> _ 

Es un poco complicado encontrar por qué, por eso lo pongo aquí, pero en realidad es una tontería. Tu sistema funciona perfectamente, no es un error de Manjaro. Simplemente no está reconociendo tu contraseña. Es muy posible que ésta incluya algún símbolo especial, como un guión, un interrogante, un asterisco, cualquier cosa que no sea un número o una letra. Y ahí es donde está el problema.

El sistema intenta arrancar tu disco duro. Todavía no se ha cargado el sistema operativo, aún no sabe que tienes un teclado con layout español, a todos los efectos cree que usas un teclado estándar norteamericano. Y la posición de las teclas especiales es totalmente distinta a la de los teclados no americanos. Cuando entres al sistema tendrás que teclear tu contraseña como si tuvieras un teclado US. O bien poner una contraseña que tenga solo números y letras.

Y eso es todo. :-)

Falla la actualización del paquete antergos-keyring en Antergos

Es un fallo que me ha ocurrido estos días. Intento actualizar el paquete antergos-keyring pero falla diciendo que el paquete no es válido o está dañado (firma PGP). Aún peor, en los días siguientes empiezan a fallar las actualizaciones de nuevos paquetes por el mismo motivo. Si haces un pacman en consola te dice esto:

fish [:0]-[pts/1:0.32]-[lacofi@cecile (~) <0>]->sudo pacman -S antergos-keyring
resolviendo dependencias…
buscando conflictos entre paquetes…
Paquetes (1) antergos-keyring-20170524-1
Tamaño total de la descarga: 0,01 MiB
Tamaño total de la instalación: 0,04 MiB
Tamaño neto tras actualizar: 0,00 MiB
:: ¿Continuar con la instalación? [S/n] 
:: Recibiendo los paquetes…
 antergos-keyring-20170524-1-any 14,6 KiB 488K/s 00:00 [####################################################] 100%
(1/1) comprobando las claves del depósito [####################################################] 100%
(1/1) verificando la integridad de los paquetes [####################################################] 100%
error: antergos-keyring: signature from "Antergos Build Server (Automated Package Build System) <admin@antergos.org>" is unknown trust
:: El archivo /var/cache/pacman/pkg/antergos-keyring-20170524-1-any.pkg.tar.xz está dañado (paquete no válido o dañado (firma PGP)).
¿Quiere eliminarlo? [S/n] 
error: no se pudo realizar la operación (paquete no válido o dañado (firma PGP))
Ocurrieron errores, por lo que no se actualizaron los paquetes

Vale, se trata de un error simple: intenta actualizar el paquete con las claves de autentificación, pero no puede actualizarlo porque no tiene las claves para autentificarlo. La solución es también simple. Edita tu fichero /etc/pacman.conf y dile que si no puede comprobar las claves da igual. Para ello cambia la línea que pone:

SigLevel = Required DatabaseOptional

Por esta otra:

SigLevel = Optional TrustAll

Ahora actualiza tu sistema. Y luego vuelve a dejar el fichero pacman.conf como estaba, obviamente.

LibreOffice hace crash cuando hago copia-pega

Es un bug realmente enojoso, porque habitualmente todo el mundo hace copia-pega de gráficos, tablas, literalmente de todo cuando hace diapositivas con Impress. No hay mensajes de error de ningún tipo, LibreOffice simplemente se cierra y pierdes todos los cambios que no hayas hecho en disco. Si arrancas el programa desde consola (precisamente para ver cualquier hipotético error), verás que no hay información ninguna. Haces un copy o un paste y el programa se cierra sin mensaje de error ninguno, aunque si tienes forma de capturar códigos de error verás que se cierra con código 139, es decir un SEGFAULT en toda regla.

Este fallo me aparece en Debian 8.6 Jessie, pero por lo que he visto por ahí es bastante ubicuo y aparece en todo tipo de sistemas, en múltiples versiones de LibreOffice, tanto en Linux como en Windows, y no he visto ningún lugar donde se aporte solución. Te dicen que elimines con fichero «~/.config/openoffice/4/user» y que vuelvas a intentarlo. Y efectivamente, durante unos minutos parece que funciona, pero luego vuelven a aparecer los crash.

Es un bug conocido con múltiples quejas pero no he visto workaround alguno, así que la solución que te propongo es de cosecha propia. :-)

La pista me la dio cuando observé que hacía crash sistemáticamente al copiar objetos relativamente complicados pero me permitía copiar objetos muy simples (un poco de texto, por ejemplo). ¿Qué es eso?. ¿Se queda sin memoria?.

Vale, vete a Herramientas -> Opciones -> LibreOffice -> Memoria.

Ahí verás varias opciones que se refieren a cuantos recursos pilla LibreOffice del sistema. Y parece todo como bastante escaso. Recorta pasos de deshacer y amplía la memoria caché. Yo puse esto:

  • Deshacer
    • Número de pasos: 20
  • Caché de Imágenes
    • Usar para LibreOffice: 100 Mb
    • Memoria por objeto: 20 Mb
    • Eliminar de la memoria después de: 00:10 hh:mm
  • Caché para los objetos insertados
    • Número de objetos: 20

Oye, y a la primera. En cuanto puse esos parámetros, LibreOffice empezó a funcionar bien y hacer sin problemas los copia-pega. Ya te diré como va la cosa si surgen novedades.

 

Chrome da continuos mensajes del tipo «Shockwave Flash has crashed» en Debian Wheezy 7

Me volví loco intentando una solución a través de chrome://plugins, que es la solución que aparece en todas partes. Pero, oye, que nada.

Al final, lo que me lo solucionó sin problemas fue lo que se propone en un foro italiano. Si, está en italiano, pero los comandos se entienden a la perfección, y el problema no tanto pero prestando un poco de atención y con ayuda de Google ya está. El fallo está en el plugin Pepper Flash, que viene incorporado en el Chrome. Resulta que a partir de la versión 37.0.2062.120 de Chrome, el plugin Pepper Flash necesita las librería glibc 2.14 para funcionar. Sin embargo la versión estable de Debian Wheezy proporciona glibc 2.13. Oh, si, Chrome se actualizará sin quejarse de ninguna dependencia, pero el plugin Pepper Flash no parará de lloriquear y de romperse una y otra vez. Puedes comprobar la versión de tu navegador Chrome en el menú, «Información de Google Chrome», si te pasa a ti.

¿Hay alguna solución?. Bueno, nuestro amigo italiano tomberry propone descargar una versión anterior de Pepper Flash y sobreescribir la que viene con el Chrome. Es muy fácil, nos da los comandos listos para ejecutar (eso si, hazte root).

Para amd64 (es decir, la versión 64 bit de Debian):

cd /opt/google/chrome/PepperFlash && sudo wget http://goo.gl/4dJvJE -O libpepflashplayer.so && exit

Para i386 (es decir, la versión 32 bit de Debian):

cd /opt/google/chrome/PepperFlash && sudo wget http://goo.gl/4awX8D -O libpepflashplayer.so && exit

Ignoro qué ocurre en otras versiones de Linux tal que Ubuntu, pero es muy posible que sus librerías glibc estén más actualizadas y no les falle el Pepper Flash. ¡Eh, no te quejes, es el precio que pagas por usar la versión estable de Debian!.

Después de ejecutar el comando no te olvides de que tienes que cerrar todas las ventanas de Chrome y luego volverlo abrir. Hombre, si eres muy paranoico, puedes copiar antes el fichero /opt/google/chrome/PepperFlash/libpepflashplayer.so en un lugar seguro por si ocurre un accidente nuclear o tu ordenador es devorado por un agujero negro. A mi me funcionó como la seda, qué quieres que te diga.

¡¡Eh, un momento!!

Bueno, sí. Estás instalando una versión anterior de libpepflashplayer.so que está colgada en un Dropbox de no-se-quién. Y con privilegios de root. ¿No te fías?. Paranoia cosa fina, ¿eh?.

Vaaale, vale. Vete al directorio /var/cache/apt/archives. Ahí deberías tener todos los paquetes legales de google-chrome que has ido actualizando desde el principio de los tiempos. El sistema los deja ahí almacenados cuando los descarga de los repositorios. Elige una versión anterior a la 37.0.2062.120, descomprímela, pilla el fichero libpepflashplayer.so y copialo a /opt/google/chrome/PepperFlash. Para descomprimir el paquete puedes usar los comandos siguientes (sustituye el número de versión por uno que tengas):

cp /var/cache/apt/archives/google-chrome-stable-35.0.1916.153-1_amd64.deb ~
cd ~
ar x google-chrome-stable_35.0.1916.153-1_amd64.deb
tar --lzma --extract --verbose --file data.tar.lzma
sudo cp opt/google/chrome/PepperFlash/libpepflashplayer.so /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so

Y ya está, estás instalando un Peeper Flash que procede directamente de los repositorios. ¿Más tranquilo así?. Yo no lo he hecho, preferí vivir peligrosamente, pero debería funcionar.

Instalar Spotify en Linux Debian Wheezy 7.x

Si lo has intentado, sabrás ya que no se puede por culpa de unas dependencias anticuadas (libssl0.9.8). Con todo, aún se puede instalar Spotify en una versión un poco más antigua. Pero no necesito explicártelo porque ya lo hace muy bien Javier Lleó. A mi me funcionó sin problemas. Las gracias, a él.

Excel me cambia las fórmulas

He configurado un Excel para que actualice una de las hojas a partir de un fichero CSV. Funciona genial, porque una vez configurado que importe los datos CSV, lo seguirá haciendo una y otra vez cada vez que abras el Excel o le des a «Actualizar todo». Eso significa que solo tengo que exportar de nuevo a CSV la base de datos de la tablet y automáticamente Excel se dará cuenta y lo recalculará todo para mostrarme estadísticas actualizadas.

Solo que, por algún motivo extraño, hay determinadas fórmulas que cambian de forma absurda tras cada actualización, y en vez de hacer referencia a las casillas que quiero hacen referencia a otras que no pretendía. Cambiarlas a mano es sencillo, pero fastidia un poco porque hay que hacerlo siempre tras cada actualización del CSV.

Después de googlear un poco, parece ser que es «feature» de Excel para corregir errores comunes en la creación de fórmulas. Vale, pero lo que me interesa es que puede ser desactivado. Para ello, en Excel 2013, vete a Archivo, Opciones, pestaña Avanzadas, y desactiva la casilla que dice «Extender formatos de rangos de datos y fórmulas».

Fallos en una unidad USB después de hibernar/suspender mi ordenador

Si usas hibernar / suspender en tu ordenador y tienes unidades USB montadas habitualmente, es posible que cuando vuelva a despertar no reconozca las unidades USB y te de algún tipo de error.

La forma más rápida de evitar problemas es desmontar todas las unidades USB justo antes de hibernar y volver a montarlas después de despertar. Podemos automatizarlo todo para que ocurra sin tener que hacer nada, solo hay que añadir un script en el directorio /etc/pm/sleep.d/ (suponiendo que usas un sistema Debian o Ubuntu). Observa el script, es muy sencillo, y cámbialo según tus necesidades. Recuerda que, como cualquier script, debe tener permisos de ejecución.

#!/bin/sh
case "$1" in
       hibernate|suspend)
             umount /media/LinBkp1
             umount /media/LinBkp2
             ;;
       thaw|resume)
             mount /media/LinBkp1
             mount /media/LinBkp2
             ;;
       *)
             exit 0
             ;;
esac

Debian no reconoce mi Kindle Touch

Si, si lo reconoce. Incluso podrás montarlo con el comando mount manualmente después de enchufar el kindle al ordenador por USB. Pero no será reconocido automáticamente ni será detectado por Calibre aunque lo hagas.

Para que haga todo eso necesitas instalar las mtp tools (apt-get install mtp-tools mptfs libmtp8). Y con eso ya está. Ahora debería reconocerlo de forma automática tanto Debian como Calibre en cuanto lo conectes por USB.